Upload files to custom fields
Post the necessary fields for the API to upload files. The files need to be a buffer with the key ”< custom_field_id >_< file_id >”.
Here custom field id is the ID of your custom field and file id is a randomly generated id (or uuid)
There is support for multiple file uploads as well. Have multiple fields in the format mentioned.
File size is limited to 50 MB.
The allowed file types are:
- DOCX
- DOC
- JPG
- JPEG
- PNG
- GIF
- CSV
- XLSX
- XLS
- MP4
- MPEG
- ZIP
- RAR
- TXT
- SVG
The API will return the updated contact object.
POST
/
forms
/
upload-custom-files
Upload files to custom fields
curl --request POST \
--url https://services.leadconnectorhq.com/forms/upload-custom-files \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'POST',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/forms/upload-custom-files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/forms/upload-custom-files"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text){
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}Authorizations
Query Parameters
Response
Successful response
Last modified on March 8, 2026
Was this page helpful?
Upload files to custom fields
curl --request POST \
--url https://services.leadconnectorhq.com/forms/upload-custom-files \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'POST',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/forms/upload-custom-files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/forms/upload-custom-files"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text){
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}